Create a source company

This request creates new Source Companies.

   Click here to learn more about this request

Source Tracking is used by lenders to categorize loans by company. Some users use it for tracking business referrals, while others use it as a way to assign loans to a brick-and-mortar locations. Note the following when using this request:

This request is sent through the SourceCompany endpoint, which is how all Source Company information is created, stored, and updated.

Since Source Tracking can be used in different ways, some information within this request may not be applicable to your business. For example, you may not choose to use the Employees object, which assigns your own personnel to the Source Company. You may decide not to set a primary contact for the company as well.

The following Source Company information cannot be altered via the API:

Notes and Documents

Vault information

Cash Drawers

Terminal Numbers

Notifications

For an example of how creating a Source Company works within the UI, take a look at our Create a New Source Company article on our help site.

Database

For information on Source Company database tables, see the following articles:

Database – Source Company Entity (source_company_entity)

Database – Source Company Users (source_company__users)

Database – Source Company Physical Check Account (source_company_physical_check_account_entity)

Database – Source Company Document (source_company_document_entity)

{
     "companyName": "Loan Rangers",
     "contactPhone": "8005594776",
     "Address": {
          "country": "company.country.usa",
          "state": "geo.state.UT",
          "address1": "164 W Promontory",
          "zipcode": 84025,
          "city": "Farmington"
     },
     "PrimaryContact": {
          "__id": 10107
     },
     "Employees": {
          "results": [
               {
                    "userId": 10107
               }
          ]
     },
     "active": 1
}
Body Params
string
required

This is the name of the company.
> This needs to be unique. The system will not allow two Source Companies to have the same name.

string

This is the primary contact's phone number.

Address
object
required

This object holds the address information for the Source Company.

PrimaryContact
object

This object holds information for the primary contact for the Source Company. Only one user can be assigned as a primary contact for a Source Company.

Employees
object

This object holds information for your personnel that are assigned as employees of the source company. This is applicable if the Source Company is used as one of your brick-and-mortar locations. Multiple users can be assigned as employees to a Source Company.

int32
required
Defaults to 1

This determines whether the Source Company will be set as active.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json